local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 37586 $"):match("%d+"))

if _G.ThreatLib_OUT_OF_DATE or not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then
	_G.ThreatLib_OUT_OF_DATE = true
	return
end

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

local ThreatLib = _G.ThreatLib

local BB = AceLibrary("Babble-Boss-2.2")

-- You need to register the module with the localized mob name, as this is used to 
local c = BB["Magtheridon"]

local ThreatLibNPCModuleCore = ThreatLib:GetModule("NPCCore")
ThreatLibNPCModuleCore:SetModuleDefaultState(c, false)
local Magtheridon = ThreatLibNPCModuleCore:NewModule(c)

local triggerStrings = {
	["enUS"] = "I... am... unleashed!",
	["deDE"] = "Ich... bin... frei!",
	["frFR"] = "Me... voilà... déchaîné !",
	["koKR"] = "내가... 풀려났도다!",
	["zhTW"] = nil
}

function Magtheridon:Init()
	local magPhase = triggerStrings[_G.GetLocale()]
	
	-- InvolvedMobs is used as a divisor for global threat. Be sure to set it correctly, and to account for mob deaths during the fight
	-- If you are unsure of the participants, or you want to just be safe, leave this at 1
	self.InvolvedMobs = 1	
	
	-- You can register Joe The Noob as a combatant in this fight, and set a handler to be called on his death
	-- self:RegisterCombatant(BB["Joe the Noob"], self.HandleJoeDeath)
	
	-- Alternately, if the second parameter is true, then the fight is over when Joe dies.
	-- self:RegisterCombatant(BB["Joe the Noob"], true)

	self:RegisterCombatant(BB["Magtheridon"], true)

	-- To register a callback to a yell or emote:
	-- self:RegisterChatEvent([yell|event], localizedMobName, yellOrEmoteToTriggerOn, callbackFunction)
	-- self:RegisterChatEvent("yell", BB["Attumen the Huntsman"], phaseThree, self.PhaseThree)
	
	self:RegisterChatEvent("yell", BB["Magtheridon"], magPhase, self.phaseTransition)
end

function Magtheridon:phaseTransition()
	self.InvolvedMobs = 1
	self:WipeRaidThreat("Magtheridon")
end
